Bug 248707 - NetworrkManager causes bind to recursively forward to itself
NetworrkManager causes bind to recursively forward to itself
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-18 08:15 EDT by Wilfried Philips
Modified: 2008-06-16 21:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bind config file (3.25 KB, application/octet-stream)
2007-07-18 08:15 EDT, Wilfried Philips
no flags Details

  None (edit)
Description Wilfried Philips 2007-07-18 08:15:32 EDT
Description of problem:

Version-Release number of selected component (if applicable):
rpm -q NetworkManager bind

How reproducible:

Steps to Reproduce:
1. Stop the NetworkManeger, NetworkManagerDispatcher and named services
 Configure a network interface with static ip. 

2. Configure a network interface with a statis ip address (no dhcp).

3.  Configure named with a number of local zones, and set some 
   forwarders (see attached named.conf)

4. Enter "nameserver"   in /etc/resolv.conf
5. start named. Works as expected. In particular, 
sudo namedGetForwarders produces valid forwarders

	forward only
	forward only
	forward only

6. start NetworkManager and NetworkManagerDispatcher services.
resolv.conf still contains as the only nameserver (which is
fine in this case), but the forwarding hosts have been messed up.

sudo namedGetForwarders 

7. lookup a host.   -> "connection timed out; no servers could be reached"
Second attempt works, but etherape shows a very large number of connections
to (apparently) nameservers including k.root-servers.net

8. After adding the forwarders manually, dns works again
sudo /usr/sbin/namedSetForwarders  .
method return sender=:1.107 -> dest=:1.112
   uint32 0

Actual results:
bind seems to recursively query itself. When that fails it contacts
nameservers it should not connect to (I think).

Expected results:

Additional info:
Comment 1 Wilfried Philips 2007-07-18 08:15:32 EDT
Created attachment 159513 [details]
bind config file
Comment 2 Bug Zapper 2008-05-14 09:34:59 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:54:04 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.